using System.Xml.Serialization;

namespace NewRock.Sdk.Security;

[XmlRoot("Auth")]
public class NewRockAuthorize
{
    [XmlElement("nonce")]
    public string Nonce { get; set; }

    [XmlElement("timestamp")]
    public string Timestamp { get; set; }

    [XmlElement("signature")]
    public string Signature { get; set; }
}

public class CreationNewRockAuthorize : NewRockAuthorize
{
    public DateTime CreationTime { get; set; } = DateTime.Now;
}